## calypso.util
Class NullJavaEnumeration

    java.lang.Object
      |
      +--calypso.util.NullJavaEnumeration

public class NullJavaEnumeration
extends java.lang.Object
implements java.util.Enumeration

Field Summary
`static java.util.Enumeration` | `kInstance`

Constructor Summary
`protected` | `NullJavaEnumeration()`

Method Summary
`boolean` | `hasMoreElements()`
`java.lang.Object` | `nextElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### kInstance

    public static final java.util.Enumeration kInstance

Constructor Detail

### NullJavaEnumeration

    protected NullJavaEnumeration()

Method Detail

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    hasMoreElements in interface java.util.Enumeration

### nextElement

    public java.lang.Object nextElement()
                                 throws java.util.NoSuchElementException

  Specified by:
    nextElement in interface java.util.Enumeration